plugins {
    kotlin("js") version "1.4-M1"
}

group = "org.example"
version = "1.0-SNAPSHOT"

repositories {
    maven("https://dl.bintray.com/kotlin/kotlin-eap")
    mavenCentral()
    mavenLocal()
}

kotlin {
    val kotlinVersion: String by project

    target {
        compilations.configureEach {
            kotlinOptions {
                languageVersion = "1.4"
            }
        }
        browser {
            testTask {
                useMocha {
                }
            }
        }

        produceExecutable()
    }

    sourceSets {
        val main by getting {
            dependencies {
                implementation(kotlin("stdlib-js", version = kotlinVersion))
                implementation("org.example:kotlin-js-lib-example:1.0-SNAPSHOT")
            }
        }

        val test by getting {
            dependencies {
                implementation(kotlin("test", version = kotlinVersion))
                implementation(kotlin("test-js", version = kotlinVersion))
            }
        }
    }
}
